@echo off
echo School-Doom WAD installing...
echo ...have a cup of coffee...
echo ...we'll wake you up when it's ready!

deusf -app schooldm.wad

if exist dehacked.exe goto thisdir
if exist dehacked\dehacked.exe goto dehdir

echo Patch not installed
doom -file schooldm.wad
goto end

:thisdir
dehacked -reload
dehacked -load schooldm.deh
doomhack -file schooldm.wad
goto end

:dehdir
dehacked\dehacked -reload
dehacked\dehacked -load schooldm.deh
doomhack -file schooldm.wad

:end
